Lintian ReportsBETA

Wbuild-depends-on-1-revision

Tag versions

The tag is present in Lintian version 2.104.232. That is the most recent version we know about.

The package declares a build dependency on a version of a package with a -1 Debian revision such as "libfoo (>= 1.2-1)". Such a dependency will not be satisfied by a backport of libfoo 1.2-1 and therefore makes backporting unnecessarily difficult. Normally, the -1 version is unneeded and a dependency such as "libfoo (>= 1.2)" would be sufficient. If there was an earlier -0.X version of libfoo that would not satisfy the dependency, use "libfoo (>= 1.2-1~)" instead.

Visibility: warning

Check: fields/package-relations

The following 39 source packages in the archive triggered the tag 44 times.

We found 3 overrides. The tag performed 93% of the time.